Open Infrastructure - Task #6541

Monitor fans and power supplies
03/21/2019 01:22 PM - Nico Schottelius

Status: Rejected Start date:
Priority: Normal Due date:
Assignee: Nico Schottelius % Done:
Category: Estimated time:

Target version:
PM Check date: 04/10/2019

03/21/2019
04/17/2019
Description

¢ Fans and PSU of switches need to be monitored
o Probably using snmp for getting metrics
o Maybe/likely storing in prometheus
e Fans and PSU of servers need to be monitored
o probably using local ipmitool
o Maybe extending node_exporter or writing our own exporter
o Might already exist
o Saving in Prometheus

For both appropriate alarms should be created

History

#1 - 03/29/2019 10:55 PM - Jason Kim
- PM Check date set to 03/30/2019

#2 - 03/30/2019 11:16 PM - Jason Kim
- Status changed from New to Seen

- PM Check date changed from 03/30/2019 to 03/31/2019

#3 - 04/10/2019 04:19 PM - Jason Kim

- % Done changed from 0 to 10

- PM Check date changed from 03/31/2019 to 04/10/2019
- Due date set to 04/17/2019

- Status changed from Seen to In Progress

- Assignee changed from Jason Kim to Jin-Guk Kwon

#4 - 04/10/2019 04:25 PM - Jason Kim
- Assignee changed from Jin-Guk Kwon to Samuel Hailu

- % Done changed from 10 to 0

#5 - 04/10/2019 05:06 PM - Nico Schottelius

Not sure if this is a good fit fir Samuel

redmine@ungleich.ch writes:

#6 - 06/25/2019 09:34 PM - Mirjana Rupar

- Assignee deleted (Samuel Hailu)

#7 - 06/25/2019 09:35 PM - Mirjana Rupar

- Project changed from 97 to queue

#8 - 06/25/2019 09:46 PM - Mirjana Rupar
- Status changed from In Progress to New

#9 - 07/17/2019 09:28 PM - Nico Schottelius
- Project changed from queue to Open Infrastructure

- Assignee set to Dominique Roux

#10 - 07/18/2019 12:01 PM - Dominique Roux

- Status changed from New to Seen

#11 - 07/25/2019 05:43 PM - Dominique Roux

- Status changed from Seen to In Progress

https://github.com/soundcloud/ipmi_exporter
https://github.com/prometheus/snmp_exporter

#12 - 07/25/2019 06:24 PM - Nico Schottelius

Most important for this task is handing over / explaning to linu & kjg

redmine@ungleich.ch writes:

#13 - 07/25/2019 06:25 PM - Dominique Roux

Current freeipmi version on devuan available: 1.4.11
Version needed for having ipv6 support: >= 1.6.1

#14 - 07/25/2019 06:32 PM - Dominique Roux

Nico Schottelius wrote:
Most important for this task is handing over / explaning to linu & kjg

redmine@ungleich.ch writes:

Ok, so in general, the IPMI thing should not be a big of a deal:
| recommend to have the ipmi exporter running only on each monitoring.place{5,6} then using remote ipmi to access the servers. Since in this way we
don't need to change the BootOS also we're able to get the data as long as the iDRAC interface is up.

IPMI

e Getting the required version running on monitoring.place{5,6}
o Either compile by yourself or check if the prepackaged version for debian buster works
o Probably best is to move it to our package mirror => Adding a new repository (prob. the ungleich use the ungleich repo) on monitoring and
do the installation like this
¢ Installing ipmi_exporter on monitoring.place{5,6}
e Configuring prometheus accordingly
e Put everything in cdist:
o Update the monitoring.place{5,6} cdist manifest (to install the new repository and install the required freeipmi package)
o Update the prometheus config: According to the config from the README

#15 - 07/25/2019 06:53 PM - Dominique Roux
SNMP

Documentation for enabling SNMP on aristas: https:/www.arista.com/en/um-eos/eos-section-43-3-configuring-snmp#ww1159793

The installation for the snmp-exporter is quite similar to the freeipmi:

e Get the prebuild package from https:/github.com/prometheus/snmp_exporter/releases
e Create a devuan package, move it to the ungleich mirror

o Don't forget the init.d file

o Use the same path hierarchy as the other prometheus packages (also log etc.)
Install the exporter on monitoring.place{5,6}
Create the config file according to the README
¢ cdistify everything (similar to IPMI)

#16 - 07/28/2019 02:37 PM - Dominique Roux

For both services you'll have to open up ports
Open them only from the inside (so only monitoring.place{5,6} is allowed to talk with theses ports)

#17 - 07/28/2019 09:14 PM - Nico Schottelius

e Dominique, please approach @Jin-Guk Kwon in chat/infrastructure and implement it together with him
e @Jin-Guk Kwon: please read the ticket and ping @Dominique Roux when you have understood it -> you'll then implement it together

#18 - 01/19/2021 12:48 PM - Nico Schottelius

- Assignee changed from Dominique Roux to Nico Schottelius

#19 - 01/03/2024 10:48 AM - Nico Schottelius

- Status changed from In Progress to Rejected
